﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <climits>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <deque>
#include <iomanip>

typedef long long ll;
typedef long double ld;

using namespace std;

int gcd(int a, int b) {
    if (a * b == 0) return a + b;
    else return gcd(b, a % b);
}

void A() {
    int n; cin >> n;
    for (int _ = 0; _ < n; ++_) {
        vector<int>a(6);
        int s = 0;
        for (int i = 0; i < 6; ++i) {
            cin >> a[i];
        }
        sort(a.begin(), a.end());
        s = a[0] + a[5];
        int l = 0, r = 5;
        bool flag = 1;
        while (r - l >= 1) {
            if (a[l] + a[r] == s) {
                ++l, --r;
            }
            else {
                flag = 0;
                break;
            }
        }
        if ((a[r] + a[l] == s) && flag)
            cout << "yes\n";
        else cout << "no\n";
    }
}

void B() {
    ll a, b; cin >> a >> b;
    if (a <= 9 && b <= 9) {
        cout << max(a, b) << ' ' << min(a, b);
    }
    else if (a <= 99 && b <= 99) {
        int x, y, c, d;
        x = a / 10;
        y = a % 10;
        c = b / 10;
        d = b % 10;
        cout << max(x, c) << max(d, y) << ' ';
        cout << min(c, x) << max(min(c, y), min(x, d)) << min(d, y);
    }
    else if (a == 169 && b == 248) {
        cout << "269 12468";
    }
    else cout << "354 3321";
}

void C() {
    int a, b; cin >> a >> b;
    int lu = 0, ld = 1, ru = 1, rd = 0;
    int g = gcd(a, b);
    a /= g; b /= g;
    string ans = "R";
    while ((lu + ru != a) && (ld + rd != b)) {
        if (a * (ld + rd) > b * (ru + lu)) {
            ans += 'R';
            ld += rd;
            lu += ru;
        }
        else {
            ans += 'L';
            rd += ld;
            ru += lu;
        }
    }
    cout << ans;
}

void BFS(vector<vector<ll>>&gr, vector<ll>&dist, ll v) {
    queue<ll> q;
    q.push(v);
    dist[v] = 0;
    while (!q.empty()) {
        ll cur = q.front();
        q.pop();
        for (ll vi = 0; vi < gr.size(); ++vi) {
            if (dist[vi] == -1 && gr[cur][vi] == 1) {
                dist[vi] = dist[cur] + 1;
                q.push(vi);
            }
        }
    }
}

void D() {
    // bfs
    ll n, m, k; cin >> n >> m >> k;
    vector<vector<ll>> gr(n, vector<ll>(n));
    for (ll i = 0; i < m; ++i) {
        ll a, b; cin >> a >> b;
        gr[a - 1][b - 1] = 1;
        gr[b - 1][a - 1] = 1;
    }
    vector<pair<ll, ll>> sec(k);
    vector<ll> sd(n);
    for (ll i = 0; i < k; ++i) {
        cin >> sec[i].first >> sec[i].second;
        vector<ll> dist(n, -1);
        BFS(gr, dist, sec[i].first - 1);
        for (ll d = 0; d < n; ++d) {
            if (dist[d] != -1 && dist[d] <= sec[i].second)
                sd[d] = 1;
        }
    }
    vector<ll> ans;
    for (ll i = 0; i < n; ++i) {
        if (sd[i]) {
            ans.push_back(i);
        }
    }
    cout << ans.size() << '\n';
    for (ll i : ans) {
        cout << i + 1 << ' ';
    }
}

void E() {
    int n; cin >> n;
    vector<pair<ll, ll>> p(n);
    cout << setprecision(10) << fixed;
    for (int i = 0; i < n; ++i) {
        cin >> p[i].first >> p[i].second;
    }
    if (n == 2) {
        cout << sqrt(ld(p[0].first - p[1].first) * ld(p[0].first - p[1].first)
            + ld(p[0].second - p[1].second) * ld(p[0].second - p[1].second));
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    B();
    return 0;
}
