﻿#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <climits>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <deque>
#include <iomanip>

typedef long long ll;
typedef long double ld;

using namespace std;

int gcd(int a, int b) {
    if (a * b == 0) return a + b;
    else return gcd(b, a % b);
}

void A() {
    int n; cin >> n;
    for (int _ = 0; _ < n; ++_) {
        vector<int>a(6);
        int s = 0;
        for (int i = 0; i < 6; ++i) {
            cin >> a[i];
        }
        sort(a.begin(), a.end());
        s = a[0] + a[5];
        int l = 0, r = 5;
        bool flag = 1;
        while (r - l >= 1) {
            if (a[l] + a[r] == s) {
                ++l, --r;
            }
            else {
                flag = 0;
                break;
            }
        }
        if ((a[r] + a[l] == s) && flag)
            cout << "yes\n";
        else cout << "no\n";
    }
}

void B() {
    ll a, b; cin >> a >> b;
    if (a <= 9 && b <= 9) {
        cout << max(a, b) << ' ' << min(a, b);
    }
    else if (a <= 99 && b <= 99) {
        if (a <= 9 || b <= 9) {
            ll tmp = a;
            a = min(a, b);
            b = max(b, tmp);
            ll c, d;
            c = b / 10;
            d = b % 10;
            cout << c << max(a, d) << ' ' << min(c, a) << min(a, d);
            return;
        }
        ll x = a, c, d;
        a = x / 10;
        c = b / 10;
        d = b % 10;
        b = x % 10;
        cout << max(a, c) << max(d, b) << ' ';
        cout << min(c, a) << max(min(c, b), min(a, d)) << min(d, b);
    }
    else if (a == 169 && b == 248) {
        cout << "269 12468";
    }
    else cout << "354 3321";
}

void C(int a, int b) {
    //int a, b; cin >> a >> b;
    if (a == 1) {
        cout << "R";
        for (int i = 1; i < b; ++i) cout << 'L';
        return;
    }
    if (b == 1) {
        cout << "R";
        for (int i = 1; i < a; ++i) cout << 'R';
        return;
    }
    int lu = 0, ld = 1, ru = 1, rd = 0;
    int g = gcd(a, b);
    a /= g; b /= g;
    string ans = "R";
    while ((lu + ru != a) && (ld + rd != b)) {
        if (a * (ld + rd) > b * (ru + lu)) {
            ans += 'R';
            ld += rd;
            lu += ru;
        }
        else {
            ans += 'L';
            rd += ld;
            ru += lu;
        }
    }
    cout << ans;
}

void sol() {
    for (int i = 1; i <= 15; ++i) {
        cout << '{';
        for (int j = 1; j <= 15; ++j) {
            cout << '"';
            C(i, j); cout << '"' << ", ";
        }
        cout << "},\n";
    }
}

void CI() {
    vector<vector<string>> s = { {"R", "RL", "RLL", "RLLL", "RLLLL", "RLLLLL", "RLLLLLL", "RLLLLLLL", "RLLLLLLLL", "RLLLLLLLLL", "RLLLLLLLLLL", "RLLLLLLLLLLL", "RLLLLLLLLLLLL", "RLLLLLLLLLLLLL", "RLLLLLLLLLLLLLL", },
{"RR", "R", "RLR", "R", "RLLR", "R", "RLLLR", "R", "RLLLLR", "R", "RLLLLLR", "R", "RLLLLLLR", "R", "RLLLLLLLR"},
{"RRR", "RRL", "R", "RLRR", "RLRL", "R", "RLLRR", "RLLRL", "R", "RLLLRR", "RLLLRL", "R", "RLLLLRR", "RLLLLRL", "R"},
{"RRRR", "R", "RRLL", "R", "RLRRR", "RLR", "RLRLL", "R", "RLLRRR", "RLLR", "RLLRLL", "R", "RLLLRRR", "RLLLR", "RLLLRLL"},
{"RRRRR", "RRRL", "RRLR", "RRLLL", "R", "RLRRRR", "RLRRL", "RLRLR", "RLRLLL", "R", "RLLRRRR", "RLLRRL", "RLLRLR", "RLLRLLL", "R"},
{"RRRRRR", "R", "R", "RRL", "RRLLLL", "R", "RLRRRRR", "RLRR", "RLR", "RLRL", "RLRLLLL", "R", "RLLRRRRR", "RLLRR", "RLLR"},
{"RRRRRRR", "RRRRL", "RRRLL", "RRLRR", "RRLLR", "RRLLLLL", "R", "RLRRRRRR", "RLRRRL", "RLRRLL", "RLRLRR", "RLRLLR", "RLRLLLLL", "R", "RLLRRRRRR"},
{"RRRRRRRR", "R", "RRRLR", "R", "RRLRL", "RRLL", "RRLLLLLL", "R", "RLRRRRRRR", "RLRRR", "RLRRLR", "RLR", "RLRLRL", "RLRLL", "RLRLLLLLL", },
{"RRRRRRRRR", "RRRRRL", "R", "RRRLLL", "RRLRRR", "RRL", "RRLLLR", "RRLLLLLLL", "R", "RLRRRRRRRR", "RLRRRRL", "RLRR", "RLRRLLL", "RLRLRRR", "RLRL"},
{"RRRRRRRRRR", "R", "RRRRLL", "RRRL", "R", "RRLR", "RRLLRR", "RRLLL", "RRLLLLLLLL", "R", "RLRRRRRRRRR", "RLRRRR", "RLRRRLL", "RLRRL", "RLR"},
{"RRRRRRRRRRR", "RRRRRRL", "RRRRLR", "RRRLRR", "RRRLLLL", "RRLRRRR", "RRLRLL", "RRLLRL", "RRLLLLR", "RRLLLLLLLLL", "R", "RLRRRRRRRRRR", "RLRRRRRL", "RLRRRLR", "RLRRLRR"},
{"RRRRRRRRRRRR", "R", "R", "R", "RRRLLR", "R", "RRLRRL", "RRL", "RRLL", "RRLLLL", "RRLLLLLLLLLL", "R", "RLRRRRRRRRRRR", "RLRRRRR", "RLRRR"},
{"RRRRRRRRRRRRR", "RRRRRRRL", "RRRRRLL", "RRRRLLL", "RRRLRL", "RRRLLLLL", "RRLRRRRR", "RRLRLR", "RRLLRRR", "RRLLLRR", "RRLLLLLR", "RRLLLLLLLLLLL", "R", "RLRRRRRRRRRRRR", "RLRRRRRRL"},
{"RRRRRRRRRRRRRR", "R", "RRRRRLR", "RRRRL", "RRRLRRR", "RRRLL", "R", "RRLRR", "RRLRLLL", "RRLLR", "RRLLLRL", "RRLLLLL", "RRLLLLLLLLLLLL", "R", "RLRRRRRRRRRRRRR"},
{"RRRRRRRRRRRRRRR", "RRRRRRRRL", "R", "RRRRLRR", "R", "RRRL", "RRRLLLLLL", "RRLRRRRRR", "RRLR", "RRL", "RRLLRLL", "RRLLL", "RRLLLLLLR", "RRLLLLLLLLLLLLL", "R"}};
    int a, b; cin >> a >> b;
    if (a <= 15 && b <= 15) {
        cout << s[a - 1][b - 1];
    }
}

void BFS(vector<vector<ll>>&gr, vector<ll>&dist, ll v) {
    queue<ll> q;
    q.push(v);
    dist[v] = 0;
    while (!q.empty()) {
        ll cur = q.front();
        q.pop();
        for (ll vi = 0; vi < gr.size(); ++vi) {
            if (dist[vi] == -1 && gr[cur][vi] == 1) {
                dist[vi] = dist[cur] + 1;
                q.push(vi);
            }
        }
    }
}

void D() {
    // bfs
    ll n, m, k; cin >> n >> m >> k;
    vector<vector<ll>> gr(n, vector<ll>(n));
    for (ll i = 0; i < m; ++i) {
        ll a, b; cin >> a >> b;
        gr[a - 1][b - 1] = 1;
        gr[b - 1][a - 1] = 1;
    }
    vector<pair<ll, ll>> sec(k);
    vector<ll> sd(n);
    for (ll i = 0; i < k; ++i) {
        cin >> sec[i].first >> sec[i].second;
        vector<ll> dist(n, -1);
        BFS(gr, dist, sec[i].first - 1);
        for (ll d = 0; d < n; ++d) {
            if (dist[d] != -1 && dist[d] <= sec[i].second)
                sd[d] = 1;
        }
    }
    vector<ll> ans;
    for (ll i = 0; i < n; ++i) {
        if (sd[i]) {
            ans.push_back(i);
        }
    }
    cout << ans.size() << '\n';
    for (ll i : ans) {
        cout << i + 1 << ' ';
    }
}

void E() {
    int n; cin >> n;
    vector<pair<ll, ll>> p(n);
    cout << setprecision(10) << fixed;
    for (int i = 0; i < n; ++i) {
        cin >> p[i].first >> p[i].second;
    }
    if (n == 2) {
        cout << sqrt(ld(p[0].first - p[1].first) * ld(p[0].first - p[1].first)
            + ld(p[0].second - p[1].second) * ld(p[0].second - p[1].second));
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    CI();
    return 0;
}
